com.r3corda.protocols / AbstractRequestMessage

# AbstractRequestMessage

`abstract class AbstractRequestMessage`

Abstract superclass for request messages sent to services, which includes common fields such as replyTo and replyToTopic.

### Constructors

<init> | `AbstractRequestMessage(replyTo: MessageRecipients, sessionID: Long?)` Abstract superclass for request messages sent to services, which includes common fields such as replyTo and replyToTopic.

### Properties

replyTo | `val replyTo: MessageRecipients`
sessionID | `val sessionID: Long?`

### Inheritors

FetchMapRequest | `class FetchMapRequest : AbstractRequestMessage`
QueryIdentityRequest | `class QueryIdentityRequest : AbstractRequestMessage`
QueryRequest | `class QueryRequest : AbstractRequestMessage`
RegistrationRequest | `class RegistrationRequest : AbstractRequestMessage`
Request | `class Request : AbstractRequestMessage`
SignRequest | `class SignRequest : AbstractRequestMessage` TODO: The caller must authenticate instead of just specifying its identity
SignRequest | `class SignRequest : AbstractRequestMessage`
SubscribeRequest | `class SubscribeRequest : AbstractRequestMessage`